io.vertx.rxjava.core.http

## Class HttpServerRequestStream

- java.lang.Object
- - io.vertx.rxjava.core.http.HttpServerRequestStream

- All Implemented Interfaces:
    ReadStream<HttpServerRequest>, StreamBase

      public class HttpServerRequestStream
      extends Object
      implements ReadStream<HttpServerRequest>

  A `ReadStream` of `HttpServerRequest`, used for notifying http request to a `HttpServer`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServerRequestStream(HttpServerRequestStream delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpServerRequestStream` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `HttpServerRequestStream` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `Object` | `getDelegate()`
    `HttpServerRequestStream` | `handler(Handler<HttpServerRequest> handler)` Set a data handler.
    `static HttpServerRequestStream` | `newInstance(HttpServerRequestStream arg)`
    `HttpServerRequestStream` | `pause()` Pause the `ReadSupport`.
    `HttpServerRequestStream` | `resume()` Resume reading.
    `Observable<HttpServerRequest>` | `toObservable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Constructor Detail

    - #### HttpServerRequestStream

          public HttpServerRequestStream(HttpServerRequestStream delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<HttpServerRequest>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<HttpServerRequest> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<HttpServerRequest>`

    - #### exceptionHandler

          public HttpServerRequestStream exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<HttpServerRequest>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public HttpServerRequestStream handler(Handler<HttpServerRequest> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<HttpServerRequest>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public HttpServerRequestStream pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<HttpServerRequest>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public HttpServerRequestStream resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<HttpServerRequest>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public HttpServerRequestStream endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<HttpServerRequest>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static HttpServerRequestStream newInstance(HttpServerRequestStream arg)

Copyright © 2016. All rights reserved.